Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.web
Class AbstractController

    java.lang.Object
      com.intel.cosbench.web.AbstractController

All Implemented Interfaces:
  org.springframework.web.servlet.mvc.Controller

Direct Known Subclasses:
  ConfigPageController, IndexPageController, IndexPageController, MatrixPageController, MissionPageController, MissionSubmissionController, StagePageController, SubmitPageController, SubmitPageController, WorkersPageController, WorkloadConfigurationController, WorkloadPageController, WorkloadSubmissionController

    public abstract class AbstractController

extends java.lang.Object
implements org.springframework.web.servlet.mvc.Controller

The base class encapsulates spring mvc controller.

Author:
  ywang19

Constructor Summary
`AbstractController()`

Method Summary
`org.springframework.web.servlet.ModelAndView` | `handleRequest(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractController

    public AbstractController()

Method Detail

### handleRequest

    public org.springframework.web.servlet.ModelAndView handleRequest(javax.servlet.http.HttpServletRequest req,
                                                                      javax.servlet.http.HttpServletResponse res)
                                                               throws java.lang.Exception

  Specified by:
    `handleRequest` in interface `org.springframework.web.servlet.mvc.Controller`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD